<?php

/**
 * Search Settings
 *
 * @package Travel Tour Pro
 */
add_action( 'customize_register', 'chic_lifestyle_customize_search_section' );
function chic_lifestyle_customize_search_section( $wp_customize )
{
    $wp_customize->add_section( 'travel_tour_search_sections', array(
        'title'       => esc_html__( 'Search Section', 'travel-tour' ),
        'description' => esc_html__( 'Search Section :', 'travel-tour' ),
        'panel'       => 'travel_tour_homepage_panel',
        'priority'    => 160,
    ) );
    $wp_customize->add_setting( 'search_section_display_option', array(
        'sanitize_callback' => 'travel_tour_sanitize_checkbox',
        'default'           => true,
    ) );
    $wp_customize->add_control( new Travel_Tour_Toggle_Control( $wp_customize, 'search_section_display_option', array(
        'label'    => esc_html__( 'Hide / Show default search', 'travel-tour' ),
        'section'  => 'travel_tour_search_sections',
        'settings' => 'search_section_display_option',
        'type'     => 'toggle',
        'priority' => 1,
    ) ) );
    $wp_customize->selective_refresh->add_partial( 'search_section_display_option', array(
        'selector' => '.search-block',
    ) );
    $wp_customize->add_setting( 'travel_tour_advanced_search_section_upgrade_to_pro', array(
        'sanitize_callback' => null,
    ) );
    $wp_customize->add_control( new Travel_Tour_Control_Upgrade_To_Pro( $wp_customize, 'travel_tour_advanced_search_section_upgrade_to_pro', array(
        'section'     => 'travel_tour_search_sections',
        'settings'    => 'travel_tour_advanced_search_section_upgrade_to_pro',
        'title'       => __( 'Show the Advanced search section so that users can easily find their preferred trip.', 'travel-tour' ),
        'items'       => array(
        'one' => array(
        'title' => __( 'Search trips by Destination, Activities, Duration, and Budget', 'travel-tour' ),
    ),
    ),
        'button_url'  => esc_url( 'https://thebootstrapthemes.com/travel-tour/#free-vs-pro' ),
        'button_text' => __( 'Upgrade Now', 'travel-tour' ),
    ) ) );
}
